##### basic_socket_acceptor::bind (2 of 2 overloads)

Bind the acceptor to the given local endpoint.

    void bind(
        const endpoint_type & endpoint,
        asio::error_code & ec);

This function binds the socket acceptor to the specified endpoint on the local machine.

###### Parameters

endpoint

  An endpoint on the local machine to which the socket acceptor will be bound.

ec

  Set to indicate what error occurred, if any.

###### Example

    asio::ip::tcp::acceptor acceptor(my_context);
    asio::ip::tcp::endpoint endpoint(asio::ip::tcp::v4(), 12345);
    acceptor.open(endpoint.protocol());
    asio::error_code ec;
    acceptor.bind(endpoint, ec);
    if (ec)
    {
      // An error occurred.
    }